Package org.eclipse.e4.ui.workbench

## Interface UIEvents.UIElement

Enclosing class:
  UIEvents

    public static interface UIEvents.UIElement

### Field Summary

Fields
`static String` `ACCESSIBILITYPHRASE`
`static String` `CONTAINERDATA`
`static String` `CURSHAREDREF`
`static String` `LOCALIZED_ACCESSIBILITYPHRASE`
`static String` `ONTOP`
`static String` `PARENT`
`static String` `RENDERER`
`static String` `TOBERENDERED`
`static String` `TOPIC` Deprecated.
`static String` `TOPIC_ACCESSIBILITYPHRASE`
`static String` `TOPIC_ALL`
`static String` `TOPIC_CONTAINERDATA`
`static String` `TOPIC_CURSHAREDREF`
`static String` `TOPIC_LOCALIZED_ACCESSIBILITYPHRASE`
`static String` `TOPIC_ONTOP`
`static String` `TOPIC_PARENT`
`static String` `TOPIC_RENDERER`
`static String` `TOPIC_TOBERENDERED`
`static String` `TOPIC_VISIBLE`
`static String` `TOPIC_VISIBLEWHEN`
`static String` `TOPIC_WIDGET`
`static String` `VISIBLE`
`static String` `VISIBLEWHEN`
`static String` `WIDGET`

### Field Detail

#### TOPIC

    @Deprecated
    static final String TOPIC

Deprecated.

See Also:
  Constant Field Values

#### TOPIC_ALL

    static final String TOPIC_ALL

See Also:
  Constant Field Values

#### TOPIC_ACCESSIBILITYPHRASE

    static final String TOPIC_ACCESSIBILITYPHRASE

See Also:
  Constant Field Values

#### TOPIC_CONTAINERDATA

    static final String TOPIC_CONTAINERDATA

See Also:
  Constant Field Values

#### TOPIC_CURSHAREDREF

    static final String TOPIC_CURSHAREDREF

See Also:
  Constant Field Values

#### TOPIC_ONTOP

    static final String TOPIC_ONTOP

See Also:
  Constant Field Values

#### TOPIC_PARENT

    static final String TOPIC_PARENT

See Also:
  Constant Field Values

#### TOPIC_RENDERER

    static final String TOPIC_RENDERER

See Also:
  Constant Field Values

#### TOPIC_TOBERENDERED

    static final String TOPIC_TOBERENDERED

See Also:
  Constant Field Values

#### TOPIC_VISIBLE

    static final String TOPIC_VISIBLE

See Also:
  Constant Field Values

#### TOPIC_VISIBLEWHEN

    static final String TOPIC_VISIBLEWHEN

See Also:
  Constant Field Values

#### TOPIC_WIDGET

    static final String TOPIC_WIDGET

See Also:
  Constant Field Values

#### TOPIC_LOCALIZED_ACCESSIBILITYPHRASE

    static final String TOPIC_LOCALIZED_ACCESSIBILITYPHRASE

Since:
  1.1
See Also:
  Constant Field Values

#### ACCESSIBILITYPHRASE

    static final String ACCESSIBILITYPHRASE

See Also:
  Constant Field Values

#### CONTAINERDATA

    static final String CONTAINERDATA

See Also:
  Constant Field Values

#### CURSHAREDREF

    static final String CURSHAREDREF

See Also:
  Constant Field Values

#### ONTOP

    static final String ONTOP

See Also:
  Constant Field Values

#### PARENT

    static final String PARENT

See Also:
  Constant Field Values

#### RENDERER

    static final String RENDERER

See Also:
  Constant Field Values

#### TOBERENDERED

    static final String TOBERENDERED

See Also:
  Constant Field Values

#### VISIBLE

    static final String VISIBLE

See Also:
  Constant Field Values

#### VISIBLEWHEN

    static final String VISIBLEWHEN

See Also:
  Constant Field Values

#### WIDGET

    static final String WIDGET

See Also:
  Constant Field Values

#### LOCALIZED_ACCESSIBILITYPHRASE

    static final String LOCALIZED_ACCESSIBILITYPHRASE

Since:
  1.1
See Also:
  Constant Field Values